#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x44940a07, "struct_module" },
	{ 0x48a67317, "rt2x00usb_resume" },
	{ 0x60019976, "rt2x00usb_suspend" },
	{ 0x2b9452a8, "rt2x00usb_disconnect" },
	{ 0xb9329617, "rt2x00usb_probe" },
	{ 0x9c422548, "rt2x00mac_get_tx_stats" },
	{ 0x4ed9256b, "rt2x00mac_conf_tx" },
	{ 0x89a9538, "rt2x00mac_get_stats" },
	{ 0xdad6f9a1, "rt2x00mac_configure_filter" },
	{ 0xfd26242e, "rt2x00mac_bss_info_changed" },
	{ 0x47f73fb8, "rt2x00mac_config_interface" },
	{ 0xb033fa5c, "rt2x00mac_config" },
	{ 0x1fabef5f, "rt2x00mac_remove_interface" },
	{ 0x5f033b79, "rt2x00mac_add_interface" },
	{ 0x3e4451f0, "rt2x00mac_stop" },
	{ 0x4e86d604, "rt2x00mac_start" },
	{ 0xc11a4e56, "rt2x00mac_tx" },
	{ 0x4848f558, "rt2x00usb_write_tx_data" },
	{ 0x64481d53, "rt2x00usb_init_txentry" },
	{ 0x622b15b6, "rt2x00usb_init_rxentry" },
	{ 0xdf25e21d, "rt2x00usb_uninitialize" },
	{ 0x311fa3e5, "rt2x00usb_initialize" },
	{ 0x6049a625, "usb_register_driver" },
	{ 0x375f80b9, "usb_deregister" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0x2674e6ec, "rt2x00usb_disable_radio" },
	{ 0xf9a482f9, "msleep" },
	{ 0x743d70bc, "rt2x00usb_vendor_request" },
	{ 0x43c8af1, "kfree_skb" },
	{ 0x82bd6888, "usb_submit_urb" },
	{ 0x7479d3a8, "skb_push" },
	{ 0xcfbb0f00, "rt2x00usb_kick_tx_queue" },
	{ 0xeabdec56, "skb_trim" },
	{ 0x9d669763, "memcpy" },
	{ 0x2b7f2193, "mutex_unlock" },
	{ 0x4225837e, "mutex_lock" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x41c27948, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xea147363, "printk" },
	{ 0x5168afa2, "rt2x00usb_vendor_request_buff" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00usb,rt2x00lib";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp705Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp2573d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "AD8E2BCA3358253E6D332D1");
